classification
Title: unittest.mock.sentinel documentation typo
Type: Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gaydayav, jack__d, lukasz.langa, miss-islington
Priority: normal Keywords: patch

Created on 2021-07-19 21:15 by gaydayav, last changed 2021-08-06 15:38 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27618 merged jack__d, 2021-08-05 20:07
PR 27619 merged miss-islington, 2021-08-05 20:48
PR 27620 merged miss-islington, 2021-08-05 20:50
Messages (5)
msg397839 - (view) Author: Andrii Haidai (gaydayav) Date: 2021-07-19 21:15
here: 
    https://docs.python.org/3.3/library/unittest.mock.html#sentinel
in code example block in last command line
    >>> sentinel.some_object
according to the above 26.4.5.1 article context it looks like the other commad is expected:
    >>> result
To ensure that at the end "result" equals sentinel.some_object we probably should print the "result" value to check, not the "sentinel.some_object" itself.
msg399035 - (view) Author: Jack DeVries (jack__d) * Date: 2021-08-05 20:08
@gaydayav I agree.
msg399039 - (view) Author: miss-islington (miss-islington) Date: 2021-08-05 20:48
New changeset 938e84b4fa410f1a86f5e0708ebc3af6bb8efb0e by Jack DeVries in branch 'main':
bpo-44679: [doc] fix typo in unittest.mock.rst (GH-27618)
https://github.com/python/cpython/commit/938e84b4fa410f1a86f5e0708ebc3af6bb8efb0e
msg399041 - (view) Author: miss-islington (miss-islington) Date: 2021-08-05 21:10
New changeset 0a642d57736be6802c712bdbf2dcff39fe8a39b7 by Miss Islington (bot) in branch '3.10':
bpo-44679: [doc] fix typo in unittest.mock.rst (GH-27618)
https://github.com/python/cpython/commit/0a642d57736be6802c712bdbf2dcff39fe8a39b7
msg399098 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-08-06 15:38
New changeset 8c17db6cd4e29f922a195acdb5aff3ef9c2340e5 by Miss Islington (bot) in branch '3.9':
bpo-44679: [doc] fix typo in unittest.mock.rst (GH-27618) (GH-27619)
https://github.com/python/cpython/commit/8c17db6cd4e29f922a195acdb5aff3ef9c2340e5
History
Date User Action Args
2021-08-06 15:38:31lukasz.langasetnosy: + lukasz.langa
messages: + msg399098
2021-08-05 21:10:23miss-islingtonsetmessages: + msg399041
2021-08-05 20:52:00Mariattasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-08-05 20:50:02miss-islingtonsetpull_requests: + pull_request26114
2021-08-05 20:48:31miss-islingtonsetpull_requests: + pull_request26113
2021-08-05 20:48:25miss-islingtonsetnosy: + miss-islington
messages: + msg399039
2021-08-05 20:08:15jack__dsetmessages: + msg399035
2021-08-05 20:07:20jack__dsetkeywords: + patch
nosy: + jack__d

pull_requests: + pull_request26112
stage: patch review
2021-07-19 21:15:28gaydayavcreate